part of 'land_property_owner_info_bloc.dart';

class LandPropertyOwnerInfoState extends Equatable {
  const LandPropertyOwnerInfoState();

  @override
  List<Object> get props => [];
}

class LandLoading extends LandPropertyOwnerInfoState {}

class LandLoaded extends LandPropertyOwnerInfoState {
  const LandLoaded(this.land);
  final List<LandPropertyOwner> land;

  @override
  List<Object> get props => [land];
}

class LandErrorState extends LandPropertyOwnerInfoState {
  const LandErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
